SystemOrganization addCategory: #'Android-Base'!

Object subclass: #Android
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Android-Base'!

!Android commentStamp: 'golubovsky 9/3/2011 22:24' prior: 0!
Low-level interface to Android services!

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 9/12/2011 22:41'!
briefMessage: aString
	"display a brief message (a toast) by means of Android runtime"
	<primitive: 'primBriefMessage' module: 'AndroidPlugin'>
	self primitiveFailed.! !

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 9/30/2011 21:23'!
createShortcutFor: aPath withLabel: aString andCommand: aCmd andIcon: aForm
	"create a home screen shortcut for a given image"
	Android createShortcutFor: aPath 
		withLabel: aString 
		andCommand: aCmd 
		iconWH: ((aForm width << 16) bitOr: (aForm height))
		iconFlags: 0 
		iconBits: (aForm bits asByteArray).! !

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 9/22/2011 21:11'!
createShortcutFor: aPath withLabel: aString andCommand: aCmd iconWH: xy iconFlags: flg iconBits: b
	"create a home screen shortcut for a given image"
	<primitive: 'primShortCut' module: 'AndroidPlugin'>
	self primitiveFailed.
! !

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 9/30/2011 21:25'!
createShortcutFor: aPath withLabel: aString andIcon: aForm
	"create a home screen shortcut for a given image"
	Android createShortcutFor: aPath 
		withLabel: aString 
		andCommand: '' 
		iconWH: ((aForm width << 16) bitOr: (aForm height))
		iconFlags: 0 
		iconBits: (aForm bits asByteArray).! !

!Android class methodsFor: 'system settings' stamp: 'golubovsky 1/9/2012 21:18'!
editingSettingsOn: aBuilder
	<systemsettings>
	(aBuilder group: #Android)
		description: 'Android-specific VM settings' translated.! !

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 12/29/2011 23:22'!
getClipboardString
	"get a string from Android clipboard"
	<primitive: 'primGetClipboardString' module: 'AndroidPlugin'>
	self primitiveFailed.! !

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 1/25/2012 21:41'!
getSDCardRoot
	"get a string from Android clipboard"
	<primitive: 'primGetSDCardRoot' module: 'AndroidPlugin'>
	self primitiveFailed.! !

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 1/9/2012 22:35'!
getVMTimerInterval
	"get VM idle timer interval"
	<primitive: 'primGetVMTimerInterval' module: 'AndroidPlugin'>
	self primitiveFailed.! !

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 9/12/2011 22:39'!
inAndroid
	"answer true if running in Android"
	<primitive: 'primInAndroid' module: 'AndroidPlugin'>
	^false.! !

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 9/13/2011 22:57'!
setPitch: aFloat
	"set TTS synthesized speech pitch"
	<primitive: 'primSetPitch' module: 'AndroidPlugin'>
	self primitiveFailed.! !

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 9/13/2011 22:58'!
setSpeechRate: aFloat
	"set TTS synthesized speech rate"
	<primitive: 'primSetSpeechRate' module: 'AndroidPlugin'>
	self primitiveFailed.! !

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 1/9/2012 22:34'!
setVMTimerInterval: anInteger
	"set VM idle timer interval"
	<primitive: 'primSetVMTimerInterval' module: 'AndroidPlugin'>
	self primitiveFailed.! !

!Android class methodsFor: 'system primitives' stamp: 'golubovsky 9/12/2011 22:54'!
speak: aString
	"speak the given string via TTS"
	<primitive: 'primSpeak' module: 'AndroidPlugin'>
	self primitiveFailed.! !

!Android class methodsFor: 'system settings' stamp: 'golubovsky 1/9/2012 22:39'!
vmTimerInterval
	^Android getVMTimerInterval.! !

!Android class methodsFor: 'system settings' stamp: 'golubovsky 1/9/2012 22:37'!
vmTimerInterval: anInteger
	"this message sets VM idle timer interval to the given number of milliseconds"
	"set to larger values if battery life is of concern"
	Android setVMTimerInterval: anInteger.! !

!Android class methodsFor: 'system settings' stamp: 'golubovsky 1/9/2012 21:32'!
vmTimerIntervalOn: aBuilder
	<systemsettings>
	(aBuilder setting: #vmTimerInterval)
		label: 'Android VM Idle Timer Interval (ms)' translated;
		parent: #Android;
		target: Android;
		description: 'Sets the Android VM idle timer interval in milliseconds: longer interval -> longer battery life' translated.! !
